tidy.survexp {broom} | R Documentation

## Tidy a(n) survexp object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'survexp'
    tidy(x, ...)

### Arguments

`x` | An `survexp` object returned from `survival::survexp()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each time point and columns:

`time` | time point
`estimate` | estimated survival
`n.risk` | number of individuals at risk

### See Also

`tidy()`, `survival::survexp()`

Other survexp tidiers: `glance.survexp`

Other survival tidiers: `augment.coxph`, `augment.survreg`, `glance.aareg`, `glance.cch`, `glance.coxph`, `glance.pyears`, `glance.survdiff`, `glance.survexp`, `glance.survfit`, `glance.survreg`, `tidy.aareg`, `tidy.cch`, `tidy.coxph`, `tidy.pyears`, `tidy.survdiff`, `tidy.survfit`, `tidy.survreg`

### Examples

    library(survival)
    sexpfit <- survexp(
      futime ~ 1,
      rmap = list(
        sex = "male",
        year = accept.dt,
        age = (accept.dt - birth.dt)
      ),
      method = 'conditional',
      data = jasa
    )

    tidy(sexpfit)
    glance(sexpfit)

[Package broom version 0.5.2 Index]